Retrieve all Instance NVLink Interfaces

View as Markdown

Get all NVLink Interfaces for an Instance

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
instanceIdstringRequired
ID of the Instance

Query parameters

statusstringOptional
Filter NVLink Interfaces by Status. Can be specified multiple times to filter on more than one status.
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional>=1Defaults to 1
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-Paginationstring
Pagination result in JSON format

Response

OK
idstringformat: "uuid">=1 character
Unique UUID v4 identifier for the NVLinkInterface
instanceIdstringformat: "uuid"
ID of the associated Instance
nvLinkLogicalPartitionIdstringformat: "uuid"
ID of the NVLink Logical Partition associated with this interface
nvLinkDomainIdstring or nullformat: "uuid"
ID of the NVLink Domain associated with this Interface
deviceInstanceinteger
Index of the device, used to identify the GPU associated with this Interface
gpuGuidstring or null
Unique ID of the GPU
statusenum
Status of the NVLinkInterface
createddatetimeRead-only

Date/time when the NVLinkInterface was created

updateddatetimeRead-only

Date/time when the NVLinkInterface was last updated

deprecationslist of objects
Deprecations active for this resource. Returned only if there are active deprecations.

Errors

403
Forbidden Error